heat (1:25.0.0-2) unstable; urgency=high

  * OSSA-2025-002: kay reported a vulnerability in Keystone’s ec2tokens and
    s3tokens APIs. By sending those endpoints a valid AWS Signature (e.g., from
    a presigned S3 URL), an unauthenticated attacker may obtain Keystone
    authorization (ec2tokens can yield a fully scoped token; s3tokens can
    reveal scope accepted by some services), resulting in unauthorized access
    and privilege escalation. Deployments where /v3/ec2tokens or /v3/s3tokens
    are reachable by unauthenticated clients (e.g., exposed on a public API)
    are affected.
    The heat part that is using the S3 API needs to be modified to accept the
    fix for Keystone, otherwise S3 authentication will stop working.
    Applied upstream patch (Closes: #1120059):
    Keystone_requires_authentication_when_using_the__v3_ec3token_endpoint.patch

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Nov 2025 10:40:04 +0100

heat (1:25.0.0-1) unstable; urgency=medium

  * New uspteram release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Oct 2025 21:55:35 +0200

heat (1:25.0.0~rc1-5) unstable; urgency=medium

  * Remove python3-senlinclient from (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Sep 2025 09:23:23 +0200

heat (1:25.0.0~rc1-4) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 00:41:31 +0200

heat (1:25.0.0~rc1-3) experimental; urgency=medium

  * Fix heat-common.postinst.in to correctly use heat/ksat-public-url instead
    of heat/ksat-admin-url (Closes:#1116435).

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 11:20:40 +0200

heat (1:25.0.0~rc1-2) experimental; urgency=medium

  * Fixed namespace list when generating heat.conf.

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Sep 2025 09:01:02 +0200

heat (1:25.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Switch api and api-cfn to module= instead of removed wsgi script.
  * Fixed (build-)depends for this release.
  * Rebased add-heat_api_root-configuration-variable.patch.
  * Removed now gone heat-{api,api-cfn,all} from d/*.install, as scripts are
    also removed upstream.

 -- Thomas Goirand <zigo@debian.org>  Fri, 19 Sep 2025 08:35:45 +0200

heat (1:24.0.0-2) unstable; urgency=medium

  * export OS_OSLO_MESSAGING_RABBIT__PROCESSNAME for all daemons.

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Jul 2025 13:53:44 +0200

heat (1:24.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Apr 2025 13:34:34 +0200

heat (1:24.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 14:59:52 +0100

heat (1:24.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed Fix_missing_extension_detection_capability_and_fix_arguments.patch
    applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Mar 2025 17:39:56 +0100

heat (1:23.0.0-5) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090419).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 16:48:27 +0100

heat (1:23.0.0-4) unstable; urgency=medium

  * Add Fix_missing_extension_detection_capability_and_fix_arguments.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 20 Nov 2024 08:54:34 +0100

heat (1:23.0.0-3) unstable; urgency=medium

  * Blacklist in autopkgtest:
    - test_resource.ResourceTest.test_create_validate

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Oct 2024 08:59:19 +0200

heat (1:23.0.0-2) unstable; urgency=medium

  * Add missing namespaces when generating heat.conf:
    - heat.common.cache
    - heat.engine.hot.functions

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Oct 2024 16:49:39 +0200

heat (1:23.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Oct 2024 16:02:39 +0200

heat (1:23.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Sep 2024 16:52:52 +0200

heat (1:23.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Do not package anymore /usr/bin/heat-keystone-setup (gone upstream).

 -- Thomas Goirand <zigo@debian.org>  Fri, 13 Sep 2024 09:40:43 +0200

heat (1:22.0.0-4) unstable; urgency=medium

  * Blacklist failing test (Closes: #1081443)
    - heat.tests.test_hot.HOTemplateTest.test_make_url_file

 -- Thomas Goirand <zigo@debian.org>  Thu, 12 Sep 2024 08:55:56 +0200

heat (1:22.0.0-3) unstable; urgency=medium

  * Blacklist failing tests (Closes: #1074656). See upstream bug tracker report:
    https://storyboard.openstack.org/#!/story/2011174
    - test_push_metadata_software_deployments_retry
    - test_push_metadata_software_deployments_retry
    - test_prepare_ports_for_replace_detach_failed
    - test_restore_ports_after_rollback_attach_failed

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Jul 2024 03:19:01 +0200

heat (1:22.0.0-2) unstable; urgency=medium

  * Restrict unit tests on arch: amd64, arm64, mips64el, ppc64el, riscv64,
    s390x.

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Apr 2024 10:24:04 +0200

heat (1:22.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Apr 2024 09:47:32 +0200

heat (1:22.0.0~rc1-1) experimental; urgency=medium

  * Add close-on-exec{2,} = true in uwsgi config.
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Drop debian/patches/sqla2.0-* applied upstream.
  * Drop use-find_spec-not-find_module.patch applied upstream.
  * Drop debian/patches/py3.12-* applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Sun, 17 Mar 2024 12:25:24 +0100

heat (1:21.0.0-4) unstable; urgency=medium

  * Add patches for Python 3.12 fixes (Closes: #1058531):
    - find_spec-not-find_module.patch
    - py3.12-deprecated-importlib-apis.patch
    - py3.12-use-assert_has_calls.patch
    - py3.12-Drop_redundant_code_to_initialize_RequestContext.patch
    - Blacklist 5 unit tests failing in Python 3.12.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Jan 2024 15:48:20 +0100

heat (1:21.0.0-3) unstable; urgency=medium

  * Add SQLAlchemy 2.x backport patches from upstream:
    - sqla2.0-tests_Add_missing_oslo.messaging_config_fixture.patch
    - sqla2.0-db_Remove_unnecessary_helper_functions.patch
    - sqla2.0-db_Make_utility_methods_private.patch
    - sqla2.0-db_Group_related_DB_APIs.patch
    - sqla2.0-cmd_Deprecate_heat-manage_migrate_properties_data_command.patch
    - sqla2.0-db_Remove_use_of_subtransactions.patch
    - sqla2.0-db_Only_call_private_methods_from_public_methods.patch
    - sqla2.0-db_Replace_use_of_update_and_save.patch
    - sqla2.0-db_Remove_use_of_transaction_helper.patch
    - sqla2.0-db_Dont_rely_on_branched_connections.patch
    - sqla2.0-db_Migrate_to_enginefacade_pattern.patch
    - sqla2.0-db_Use_raw_connection_to_enable_foreign_keys.patch
  * Re-enabled tests at build time.

 -- Thomas Goirand <zigo@debian.org>  Wed, 08 Nov 2023 10:06:03 +0100

heat (1:21.0.0-2) unstable; urgency=medium

  * Add missing oslo.versionedobjects namespace when generating heat.conf.

 -- Thomas Goirand <zigo@debian.org>  Tue, 10 Oct 2023 14:46:45 +0200

heat (1:21.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Oct 2023 10:10:35 +0200

heat (1:21.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Cleans better.
  * Removed debian/*.service, generated by init.in.

 -- Thomas Goirand <zigo@debian.org>  Thu, 21 Sep 2023 14:08:19 +0200

heat (1:20.0.0-4) unstable; urgency=medium

  * Clean properly (Closes: #1044249).

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Aug 2023 16:23:31 +0200

heat (1:20.0.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 14:48:21 +0200

heat (1:20.0.0-2) experimental; urgency=medium

  * Build-depends on openstack-pkg-tools (>= 123~).

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Apr 2023 10:23:30 +0200

heat (1:20.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Mar 2023 13:32:41 +0100

heat (1:20.0.0~rc1-2) experimental; urgency=medium

  * Blacklist a number of unit tests currently broken after this commit:
    https://review.opendev.org/c/openstack/python-novaclient/+/806918
    - ServerInternalPortTest.test_server_update_image_rebuild_failed
    - ServerInternalPortTest.test_server_update_image_rebuild_status_active
    - ServerInternalPortTest.test_server_update_image_rebuild_status_active_keep_ephemeral
    - ServerInternalPortTest.test_server_update_image_rebuild_status_rebuild
    - ServerInternalPortTest.test_server_update_image_rebuild_status_rebuild_keep_ephemeral
    - ServerInternalPortTest.test_server_update_image_rebuild_with_new_password
    - ServersTest.test_server_update_image_rebuild_failed
    - ServersTest.test_server_update_image_rebuild_status_active
    - ServersTest.test_server_update_image_rebuild_status_active_keep_ephemeral
    - ServersTest.test_server_update_image_rebuild_status_rebuild
    - ServersTest.test_server_update_image_rebuild_status_rebuild_keep_ephemeral
    - ServersTest.test_server_update_image_rebuild_with_new_password

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 Mar 2023 10:41:58 +0100

heat (1:20.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends versions when satisfied in Bookworm.
  * Fixed (build-)depends for this release.
  * Removed lsb-base depends.
  * Switch to debhelper-compat = 11.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Mar 2023 13:40:05 +0100

heat (1:19.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Removed Drop-implementation-for-OS_Magnum_BayModel.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Oct 2022 10:14:02 +0200

heat (1:19.0.0~rc1-3) unstable; urgency=medium

  * Uploading to unstable.
  * Add Drop-implementation-for-OS_Magnum_BayModel.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 23:12:23 +0200

heat (1:19.0.0~rc1-2) experimental; urgency=medium

  * Fix namespace list when generating config file.

 -- Thomas Goirand <zigo@debian.org>  Wed, 21 Sep 2022 12:57:24 +0200

heat (1:19.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Sep 2022 16:40:40 +0200

heat (1:18.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Mar 2022 16:24:44 +0200

heat (1:18.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 15:12:24 +0100

heat (1:18.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Add autopkgtest.
  * Removed patches applied upstream:
    - fix-server-group-create.patch
    - fix-octavia-pool-update.patch
    - Fix_for_tenacity_8.0.1.patch

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Mar 2022 14:19:28 +0100

heat (1:17.0.0-8) unstable; urgency=medium

  * Removed (build-)depends on python3-ceilometerclient.
  * Add Fix_for_tenacity_8.0.1.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Feb 2022 12:15:52 +0100

heat (1:17.0.0-7) unstable; urgency=medium

  * Added pt_BR.po Brazilian Portuguese debconf templates translation thanks to
    Adriano Rafael Gomes (Closes: #964887).
  * Added es.po Spanish debconf templates translation thanks to Camaleón
    (Closes: #987668).

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Dec 2021 11:52:28 +0100

heat (1:17.0.0-6) unstable; urgency=medium

  * Blacklist broken tests on Python 3.10:
    - test_mem_alarm_high_not_integer_parameters
    - test_int_bad

 -- Thomas Goirand <zigo@debian.org>  Thu, 23 Dec 2021 11:57:16 +0100

heat (1:17.0.0-5) unstable; urgency=medium

  * Add fix-octavia-pool-update.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Nov 2021 09:47:29 +0100

heat (1:17.0.0-4) unstable; urgency=medium

  * Add fix-server-group-create.patch

 -- Michal Arbet <michal.arbet@ultimum.io>  Sun, 07 Nov 2021 20:01:19 +0100

heat (1:17.0.0-3) unstable; urgency=medium

  * Update add-heat_api_root-configuration-variable.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 07 Oct 2021 17:02:37 +0200

heat (1:17.0.0-2) unstable; urgency=medium

  * Refreshed remove-broken-rst.patch.
  * Add add-heat_api_root-configuration-variable.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 07 Oct 2021 16:42:13 +0200

heat (1:17.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Oct 2021 16:32:46 +0200

heat (1:17.0.0~rc1-2) unstable; urgency=medium

  * Upload to unstable.
  * Fix 00_default_policy.yaml.
  * Fix oslo-config-generator namespace list.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 22:43:54 +0200

heat (1:17.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 15 Sep 2021 16:41:24 +0200

heat (1:16.0.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 12:48:43 +0200

heat (1:16.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Apr 2021 23:03:29 +0200

heat (1:16.0.0~rc1-1) experimental; urgency=medium

  * Tune heat-api-{,cfn-}uwsgi.ini for performance.
  * New upstream release.
  * Removed (build-)depends versions when satisfied in Bullseye.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 27 Mar 2021 21:44:55 +0100

heat (1:15.0.0-4) unstable; urgency=medium

  * Blacklist a number of non-deterministic tests (Closes: #976946):
    - StackDeleteTest.test_stack_delete
    - StackDeleteTest.test_stack_delete_acquired_lock
    - StackDeleteTest.test_stack_delete_acquired_lock_stop_timers
    - SnapshotServiceTest.test_restore_snapshot
  * Blacklist failing SQLA tests:
    - DBAPIResourceUpdateTest.test_locked_resource_update_by_other_engine
    - DBAPIResourceUpdateTest.test_locked_resource_update_by_same_engine
    - DBAPIResourceUpdateTest.test_release_resource_lock
    - DBAPIResourceUpdateTest.test_steal_resource_lock
    - DBAPIResourceUpdateTest.test_unlocked_resource_update

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Jan 2021 09:00:04 +0100

heat (1:15.0.0-3) unstable; urgency=medium

  * Fix missing policy.json in postinst

 -- Michal Arbet <michal.arbet@ultimum.io>  Sun, 20 Dec 2020 10:17:36 +0100

heat (1:15.0.0-2) unstable; urgency=medium

  * Use a yaml policy file in /etc/heat/policy.d.

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Dec 2020 13:42:06 +0100

heat (1:15.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Sat, 17 Oct 2020 16:19:52 +0200

heat (1:15.0.0~rc1-1) experimental; urgency=medium

  * Use a single heat-common.logrotate instead of per-package file.
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed Add-a-healthcheck-url.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Sep 2020 16:26:28 +0200

heat (1:14.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 May 2020 18:11:39 +0200

heat (1:14.0.0~rc1-2) unstable; urgency=medium

  * Add Add-a-healthcheck-url.patch.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 10 May 2020 01:52:16 +0200

heat (1:14.0.0~rc1-1) experimental; urgency=medium

  * Ran debconf-updatepo (some translations was missing in .pot).
  * Updated de.po debconf translations (Closes: #947169).
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Apr 2020 22:22:43 +0200

heat (1:13.0.0-4) unstable; urgency=medium

  * Update nl.po debconf translation (Closes: #945029).

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Dec 2019 14:00:05 +0100

heat (1:13.0.0-3) unstable; urgency=medium

  * Add debconf screen to enable / disable configuring heat's domain through
    debconf, avoiding many screens and eventually writing unwanted empty
    password to the configuration file.

 -- Thomas Goirand <zigo@debian.org>  Sun, 27 Oct 2019 17:25:45 +0100

heat (1:13.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Oct 2019 00:54:43 +0200

heat (1:13.0.0-1) experimental; urgency=medium

  * Added ru.po debconf translation (Closes: #920926).
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Oct 2019 18:13:59 +0200

heat (1:13.0.0~rc1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 Sep 2019 11:50:26 +0200

heat (1:12.0.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 17 Jul 2019 15:49:43 +0200

heat (1:12.0.0-2) experimental; urgency=medium

  * d/control: Bump openstack-pkg-tools to version 99
  * d/copyright: Update year

 -- Michal Arbet <michal.arbet@ultimum.io>  Fri, 03 May 2019 17:24:49 +0200

heat (1:12.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Apr 2019 09:36:41 +0200

heat (1:12.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed versions satisfied in Buster.
  * Removed 2 patches applied upstream.
  * Add usr/bin/heat-status.

 -- Thomas Goirand <zigo@debian.org>  Fri, 29 Mar 2019 13:35:25 +0100

heat (1:11.0.0-6) unstable; urgency=medium

  * Install heat-api and heat-api-cfn using uwsgi.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Mar 2019 15:35:44 +0100

heat (1:11.0.0-5) unstable; urgency=medium

  * Added debconf template translations, with thanks to:
    - German: Dr. Tobias Quathamer <toddy@debian.org> (Closes: #914578).
    - French: Jean-Pierre Giraud <jean-pierregiraud@neuf.fr> (Closes: #915951).
    - Dutch: Frans Spiesschaert <Frans.Spiesschaert@yucom.be> (Closes: #917146)
    - Portuguese: Traduz PT <traduz@debianpt.org> (Closes: #918612).

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Jan 2019 09:20:08 +0100

heat (1:11.0.0-4) unstable; urgency=medium

  * Setup region_name_for_services with debconf
  * Disable sqlite failing tests

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 06 Dec 2018 12:51:15 +0100

heat (1:11.0.0-3) unstable; urgency=medium

  * d/control: Add me to uploaders field
  * d/copyright: Add me to copyright file
  * d/rules: Make default
      - [trustee] auth_type password
      - [trustee] user_domain_name default
  * d/heat-common.{config,postinst}.in:
      - Handle things via debconf
          - [DEFAULT] stack_domain_admin
          - [DEFAULT] stack_domain_admin_password
          - [DEFAULT] stack_user_domain_name
          - [trustee] username
          - [trustee] password
      - Create heat domain admin
      - Create heat domain
      - Assign domain admin role to heat_domain_admin
  * d/heat-api-cfn.{config,postinst}.in:
      - Handle things via debconf
          - [DEFAULT] heat_metadata_server_url
          - [DEFAULT] heat_waitcondition_server_url

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 21 Nov 2018 13:34:18 +0100

heat (1:11.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Sep 2018 15:29:57 +0200

heat (1:11.0.0-1) experimental; urgency=medium

  [ Thomas Goirand ]
  * Fixed startup messages.
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed fix-sphinx-1.7-import-Directive.patch, not needed anymore.
  * Do not install inexistant man pages (Closes: #903868).
  * Correctly purge policy.json (Closes: #905498).
  * Add upstream patches for Python 3.7:
    - Fix_errors_with_issubclass_in_Python_3.7.patch
    - Unit_tests_Fix_mock-errors_with_too_few_side_effects.patch

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

 -- Thomas Goirand <zigo@debian.org>  Tue, 19 Jun 2018 10:47:31 +0200

heat (1:10.0.0-3) unstable; urgency=medium

  * Fix the import of the Directive module under Sphinx 1.7 (Closes: #896621).

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Apr 2018 10:46:47 +0200

heat (1:10.0.0-2) unstable; urgency=medium

  * Fixed dbc pstrm.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Mar 2018 16:46:11 +0000

heat (1:10.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Use pkgos-dh_auto_test.
  * Removed heat-api-cloudwatch, as it's removed upstream.
  * Calls dh_misisng.
  * Remove heat_integrationtests/.gitignore.
  * Remove recursive chown/chmod from postinst.
  * Standards-Version is now 4.1.3.
  * Switched to Python 3.
  * Add dh_python3 --shebang=/usr/bin/python3.
  * Fixed oslo-config-generator namespaces.
  * Blacklist tests broken in Python 3 (not-sorted arrays):
    - test_conv_string_five_instance_stack_create
    - test_conv_empty_template_stack_update_delete
    - test_conv_string_five_instance_stack_update
  * Switched to openstack-pkg-tools >= 70~ shared debconf templates.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 08:37:25 +0000

heat (1:9.0.2-4) unstable; urgency=medium

  * Do not do API endpoint registration in heat-common, as this has been moved
    to heat-api (Closes: #886924).

 -- Thomas Goirand <zigo@debian.org>  Thu, 25 Jan 2018 09:19:13 +0000

heat (1:9.0.2-3) unstable; urgency=medium

  * Also package .yaml template files.

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Dec 2017 12:17:29 +0100

heat (1:9.0.2-2) unstable; urgency=medium

  * Remove pkgos_register_endpoint_config from heat-common (Closes: #884266).

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Dec 2017 20:18:56 +0000

heat (1:9.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Fixed min version for openstackclient.

 -- Thomas Goirand <zigo@debian.org>  Tue, 12 Dec 2017 08:30:48 +0000

heat (1:9.0.0-4) unstable; urgency=medium

  * Fixed heat.conf generation.
  * Moved heat-api endpoint configuration to the heat-api package.
  * Also add logic to register heat-api-cfn using debconf.
  * Removed dh-systemd from build-depends.
  * Added missing lsb-base runtime depends for heat-api.

 -- Thomas Goirand <zigo@debian.org>  Sat, 02 Dec 2017 10:08:04 +0000

heat (1:9.0.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use dh_missing --fail-missing

  [ Thomas Goirand ]
  * Using openstack-pkg-tools >= 56~.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Dec 2017 16:59:11 +0000

heat (1:9.0.0-2) unstable; urgency=medium

  * Updated fr.po (Closes: #875754).
  * Fixed FBTFS due to wrong b-d versions (Closes: #880226):
    - Fixed min version of python-zaqarclient.
    - Added missing EPOCH for python-mistralclient.

 -- Thomas Goirand <zigo@debian.org>  Sun, 29 Oct 2017 17:02:24 +0000

heat (1:9.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Updating vcs fields.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Updating standards version to 4.1.1.
  * Fixed (build-)depends for this release.
  * Remove obsolete patches.
  * Remove now useless stuff in debian/rules.

 -- Thomas Goirand <zigo@debian.org>  Tue, 10 Oct 2017 23:18:10 +0200

heat (1:7.0.0-4) unstable; urgency=medium

  * Team upload.
  * Bump build dependency on openstack-pkg-tools (Closes: #858698).

 -- David Rabel <david.rabel@noresoft.com>  Sat, 01 Apr 2017 11:36:53 +0200

heat (1:7.0.0-3) unstable; urgency=medium

  * Add allow-sqlalchemy-1.1.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 11 Jan 2017 03:02:49 +0100

heat (1:7.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Thomas Goirand ]
  * CVE-2016-9185: template source URL allows network port scan: applied
    upstream patch (Closes: #843232).
  * Remove broken rst with latest docutils (Closes: #850231).

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Dec 2016 17:36:59 +0100

heat (1:7.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Oct 2016 17:50:16 +0200

heat (1:7.0.0~rc1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Build-Depends on openstack-pkg-tools >= 53~.
  * Fixed oslotest EPOCH.
  * Fixed config gneration namespaces.
  * Debconf translation:
    - it (Closes: #839195).

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Sep 2016 09:42:21 +0200

heat (1:7.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Rebased fix-requirements.txt.patch.
  * Using OpenStack's Gerrit as VCS URLs.

 -- Thomas Goirand <zigo@debian.org>  Sat, 17 Sep 2016 19:42:11 +0200

heat (1:7.0.0~b2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Added new pt_BR.po Brazilian Portuguese debconf templates translation
    (Closes: #829341).
  * Updated Danish translation of the debconf templates (Closes: #830642).

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Jul 2016 19:33:13 +0200

heat (1:7.0.0~b1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Added fix-requirements.txt.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 Jun 2016 10:39:57 +0200

heat (1:6.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use /bin/sh as su shell in postinst script explicitly
  * Standards-Version is 3.9.8 now (no change)

  [ Thomas Goirand ]
  * Updated Portuguese translation for debconf messages (Closes: #821052).
  * Updated Japanese translation for debconf messages (Closes: #820763).
  * Updated Dutch translation for debconf messages (Closes: #822969).

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 May 2016 12:50:37 +0000

heat (1:6.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 07 Apr 2016 21:14:08 +0200

heat (1:6.0.0~rc3-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Updated ja.po debconf translation (Closes: 819022).
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Apr 2016 10:55:26 +0200

heat (1:6.0.0~rc1-2) experimental; urgency=medium

  * Do not use Keystone admin auth token to setup API endpoints.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Mar 2016 13:17:04 +0000

heat (1:6.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Added git as build-depends-indep.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Mar 2016 13:25:50 +0100

heat (1:6.0.0~b3-1) experimental; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Avoid option -S of dpkg-parsechangelog which is incompatible with Trusty.
  * Fixed (build-)depends for this release.

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

 -- Thomas Goirand <zigo@debian.org>  Mon, 25 Jan 2016 16:05:12 +0000

heat (1:6.0.0~b2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed the patch for allowing routes 2.0.
  * Also package new /usr/bin/heat-wsgi-api{,-cloudwatch,-cfn}
  * Fixed debian/copyright ordering.
  * Updated heat.conf generation --namespace params.

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Dec 2015 14:16:00 +0100

heat (1:5.0.0-4) unstable; urgency=medium

  * debian/rules:
    - add copying of dist-packages/heat/cloudinit/ content

 -- Daniil Trishkin <dtrishkin@mirantis.com>  Mon, 16 Nov 2015 16:53:39 +0300

heat (1:5.0.0-3) unstable; urgency=medium

  * Added q-text-as-data in depends: for heat-common.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Nov 2015 11:41:56 +0000

heat (1:5.0.0-2) unstable; urgency=medium

  * Rebuilt with openstack-pkg-tools 37 to use Keystone API v3.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Nov 2015 08:21:25 +0000

heat (1:5.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Added python-pymysql as runtime dependency.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Oct 2015 15:02:21 +0200

heat (1:5.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Now heat-api depends on python-openstackclient.

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Sep 2015 18:33:01 +0200

heat (1:5.0.0~b3-2) experimental; urgency=medium

  * Added nl.po.
  * Fixed wrong (build-)depends on python-neutronclient: EPOCH should be 1:.

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Sep 2015 11:38:40 +0200

heat (1:5.0.0~b3-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Refreshed routes 2.0 in requirements patch.
  * Deleted debian/patches/Fix_DummyResource_missing_in_provider_error.patch
    applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 Sep 2015 12:40:05 +0200

heat (1:5.0.0~b2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Rebased and updated patches.
  * Added upstream patches:
    - Fix_DummyResource_missing_in_provider_error.patch
  * Removed the copy of contrib/heat_keystoneclient_v2/heat_keystoneclient_v2
    which doesn't exist anymore upstream.

 -- Thomas Goirand <zigo@debian.org>  Sun, 02 Aug 2015 11:22:32 +0200

heat (2015.1.0-4) unstable; urgency=medium

  * Rebuilt with sqlalchemy 1.0.6.
  * Refreshed patch.
  * Added sqlalchemy version patch in requirements.txt.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Jul 2015 02:27:14 +0000

heat (2015.1.0-3) unstable; urgency=medium

  * Replaced && by ; in debian/rules.
  * Purges correctly log files on purge.
  * Removes double definition of PATH= in init scripts.

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Jun 2015 14:57:22 +0200

heat (2015.1.0-2) unstable; urgency=medium

  * Added missing oslo.log namespace when generating default config.

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 May 2015 16:27:46 +0200

heat (2015.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Apr 2015 21:51:34 +0000

heat (2015.1~rc2-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Reviewed (build-)depends for this release.
  * Build the heat.conf.sample on the fly at build time.
  * Refreshed allow-route-2.0.patch.
  * Added Remove_gettextutils_import.patch to un-fuck the .conf gen.

 -- Thomas Goirand <zigo@debian.org>  Wed, 24 Dec 2014 17:45:14 +0800

heat (2014.2.1-2) experimental; urgency=medium

  * Added missing python-oslo.serialization (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 15 Dec 2014 17:12:39 +0800

heat (2014.2.1-1) experimental; urgency=medium

  * New upstream release.
  * Depending on openstack-pkg-tools (>= 20~).

 -- Thomas Goirand <zigo@debian.org>  Sun, 14 Dec 2014 10:33:44 +0000

heat (2014.2-2) experimental; urgency=medium

  * Do not duplicate the [keystone_authtoken] in heat.conf. This was a leftover
    from the missing [keystone_authtoken] in Icehouse.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Oct 2014 00:38:56 +0800

heat (2014.2-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 16 Oct 2014 14:50:02 +0000

heat (2014.2~rc3-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Now using templated init script for sysv-rc, generated systemd unit and
    upstart jobs, using openstack-pkg-tools >= 13.
  * Mangling upstream rc and beta versions in watch file.
  * Standards-Version is now 3.9.6.

 -- Thomas Goirand <zigo@debian.org>  Sun, 05 Oct 2014 14:28:41 +0800

heat (2014.2~rc1-2) experimental; urgency=medium

  * Also package /usr/bin/heat-keystone-setup-domain.
  * Using the --fail-missing option when calling dh_install.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Oct 2014 20:27:08 +0800

heat (2014.2~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Updated (build-)depends for this release.
  * Added log facilities for all daemons.
  * Added systemd support.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Oct 2014 19:01:13 +0800

heat (2014.2~b3-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Added a patch to allow python-routes 2.0.

 -- Thomas Goirand <zigo@debian.org>  Tue, 01 Jul 2014 00:58:38 +0800

heat (2014.1.1-2) unstable; urgency=medium

  * Updated de.po thanks to Chris Leick <c.leick@vollbio.de> (Closes: #751167).

 -- Thomas Goirand <zigo@debian.org>  Wed, 11 Jun 2014 12:31:32 +0800

heat (2014.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Removed Dont_dynamically_create_provider_types_in_the_global_env.patch
    applied upstream.
  * Now (build-)depends on python-six >= 1.6.0.

 -- Thomas Goirand <zigo@debian.org>  Mon, 09 Jun 2014 22:33:27 +0800

heat (2014.1-8) unstable; urgency=medium

  * Now also packaging heat_keystoneclient_v2 in dist-packages/heat/plugins.

 -- Thomas Goirand <zigo@debian.org>  Fri, 06 Jun 2014 22:56:55 +0800

heat (2014.1-7) unstable; urgency=medium

  * Now build-depends on openstack-pkg-tools >= 12~.

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Jun 2014 07:32:14 +0000

heat (2014.1-6) unstable; urgency=medium

  * Switched from restarting daemons to copytruncate in logrotate.

 -- Thomas Goirand <zigo@debian.org>  Thu, 29 May 2014 14:12:51 +0800

heat (2014.1-5) unstable; urgency=medium

  * Switched from restarting daemons to copytruncate for logrotate.

 -- Thomas Goirand <zigo@debian.org>  Thu, 29 May 2014 14:10:16 +0800

heat (2014.1-4) unstable; urgency=high

  * Refreshed fix-default-db.patch.
  * CVE-2014-3801: heat: User's provider templates show up in listing of
    resource types globally across tenants. Applied upstream patch:
    Dont_dynamically_create_provider_types_in_the_global_env.patch
    (Closes: #748824).

 -- Thomas Goirand <zigo@debian.org>  Wed, 21 May 2014 16:02:56 +0800

heat (2014.1-3) unstable; urgency=medium

  * Now using "service X restart" to restart services in logrotate script, and
    stop using dpkg-dev (Closes: #747886).

 -- Thomas Goirand <zigo@debian.org>  Sat, 17 May 2014 01:50:30 +0800

heat (2014.1-2) unstable; urgency=medium

  * Updated Italian debconf translation thanks to Beatrice Torracca
    <beatricet@libero.it> (Closes: #745389).

 -- Thomas Goirand <zigo@debian.org>  Sat, 03 May 2014 06:41:50 +0000

heat (2014.1-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed dbsync for Icehouse (using heat-manage db_sync now).
  * Fixed the connection=sqlite:///var/lib/heat/neutrondb as default in the
    shipped heat.conf.
  * Fixed (build-)depends for this upstream version.
  * Removed now useless requirements.txt patch.
  * Fixed new location of the connection directive in config file.

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 Apr 2014 00:58:35 +0800

heat (2014.1~rc1-1) experimental; urgency=low

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 01 Apr 2014 14:50:26 +0800

heat (2014.1~b3-2) experimental; urgency=low

  * Using testr directly instead of run_test.sh.

 -- Thomas Goirand <zigo@debian.org>  Sun, 16 Mar 2014 15:19:57 +0800

heat (2014.1~b3-1) experimental; urgency=low

  * New upstream release (Icehouse beta 3).
  * Added new (build)-depends python-heatclient (>= 0.2.3).
  * Now building the sphinx doc in a heat-doc package.

 -- Thomas Goirand <zigo@debian.org>  Mon, 17 Feb 2014 15:23:17 +0800

heat (2013.2.2-2) unstable; urgency=medium

  * Rebuilt using openstack-pkg-tools >= 9~.

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Feb 2014 17:43:18 +0000

heat (2013.2.2-1) unstable; urgency=medium

  * New upstream point release.
  * Removed fix-call-to-usr-bin-coverage.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Feb 2014 11:47:35 +0800

heat (2013.2.1-3) unstable; urgency=medium

  * Restart daemons after logrotate.
  * Fix webob version in requirements.txt.
  * Delete .coverage and .testrepository folders on clean.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Feb 2014 16:14:42 +0800

heat (2013.2.1-2) unstable; urgency=low

  * New debconf template translations:
    - German: Martin Schauer (Closes: #734738)
    - Swedish: Martin Bagge (Closes: #734619)
    - Spanish: Matias A. Bellone (Closes: #732536)

 -- Thomas Goirand <zigo@debian.org>  Sun, 12 Jan 2014 17:14:00 +0800

heat (2013.2.1-1) unstable; urgency=high

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 09 Dec 2013 22:01:07 +0800

heat (2013.2-4) unstable; urgency=medium

  * Updated debconf translations, with warm thanks to:
    - French, Julien Patriarca <leatherface@debian.org> (Closes: #728767).
    - Russian, Yuri Kozlov <yuray@komyakino.ru> (Closes: #729776).
  * New debconf translation, with warm thanks to:
    - Portuguese, Américo Monteiro <a_monteiro@gmx.com> (Closes: #729903).

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Dec 2013 11:11:40 +0800

heat (2013.2-3) unstable; urgency=low

  * Added missing depends: python-babel in the python-heat package.
  * Added missing configuration files in /etc/heat (Closes: #730122).

 -- Thomas Goirand <zigo@debian.org>  Fri, 22 Nov 2013 17:17:50 +0800

heat (2013.2-2) unstable; urgency=low

  * Added upstream patch to fix the /usr/bin/coverage call and use
    "python -m coverage" instead.

 -- Thomas Goirand <zigo@debian.org>  Sat, 19 Oct 2013 16:22:07 +0000

heat (2013.2-1) unstable; urgency=low

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Oct 2013 00:13:49 +0800

heat (2013.2~rc2-1) experimental; urgency=low

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Oct 2013 08:38:30 +0000

heat (2013.1.3-2) unstable; urgency=low

  * New Debconf translations:
    - FR (Closes: #722422).
    - IT (Closes: #721334).
    - RU (Closes: #721305).

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Sep 2013 16:39:56 +0800

heat (2013.1.3-1) unstable; urgency=low

  * New upstream point release.
  * Added some Debconf templates translations:
    - Danish, thanks to Joe Dalton (Closes: #720039).
    - Japanese, thanks to victory (Closes: #720594).
    - Czech, thanks to Michal Šimůnek (Closes: #721141).

 -- Thomas Goirand <zigo@debian.org>  Fri, 30 Aug 2013 13:04:59 +0800

heat (2013.1.2-4) unstable; urgency=low

  * Added patch so that Heat can work with SQLAlchemy 0.8. Thanks to Zhang
  * Lei
    for working on that (Closes: #718157, #717225).

 -- Thomas Goirand <zigo@debian.org>  Wed, 07 Aug 2013 22:41:20 +0200

heat (2013.1.2-3) unstable; urgency=low

  * Modified templates accoding to the review from the debian-l10n-english. A
    big thanks to them (Closes: #708748).

 -- Thomas Goirand <zigo@debian.org>  Wed, 10 Jul 2013 22:54:09 +0800

heat (2013.1.2-2) unstable; urgency=low

  * Added missing policy.json in heat-common.

 -- Thomas Goirand <zigo@debian.org>  Sun, 16 Jun 2013 21:16:19 +0800

heat (2013.1.2-1) unstable; urgency=low

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Jun 2013 23:18:15 +0800

heat (2013.1-5) unstable; urgency=low

  * Added Subclass_keystone_middleware_to_set_headers.patch
  * Ran wrap-and-sort.
  * Also deletes /var/lib/heat on purge (Closes: #709875).

 -- Thomas Goirand <zigo@debian.org>  Thu, 23 May 2013 23:16:57 +0800

heat (2013.1-4) unstable; urgency=low

  * Fixed the dbsync to the new thing upstream is using (it was crashing the
    postinst).
  * Fixed the prerm script of heat-engine that was calling dbc_go heat instead
    of dbc_go heat-engine.
  * Added missing dependency: python-mysqldb.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 May 2013 23:57:49 +0800

heat (2013.1-3) unstable; urgency=low

  * Added missing dbconfig-common depends (Closes: #709126). Thanks to Andrea
    Beckmann for the bug report.

 -- Thomas Goirand <zigo@debian.org>  Tue, 21 May 2013 12:38:11 +0800

heat (2013.1-2) unstable; urgency=low

  * Uploading to unstable.
  * Removes the <=2.3.5 from python-lxml requirements.
  * Fix package version detection when building docs.
  * Cleans doc/build on the clean target.

 -- Thomas Goirand <zigo@debian.org>  Thu, 16 May 2013 13:15:54 +0000

heat (2013.1-1) experimental; urgency=low

  * Initial release (Closes: #695302).

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Feb 2013 21:56:59 +0800
